"""Constant parameters."""

# !/usr/bin/env python
# -*- coding: utf-8 -*-

# Cordex variables
CORDEX_VARIABLES = ['tasmin', 'tasmax', 'pr']

# parameters defining a Cordex climate simulation
CORDEX_PARAMETERS = ['Variable', 'Domain', 'Gcm', 'Scenario', 'Ensemble',
                     'Rcm', 'Version', 'Frequency', 'Years']

# Cordex experiments
CORDEX_EXPERIMENTS = ['historical', 'evaluation', 'rcp26', 'rcp45', 'rcp85']

# EuroCordex domain identifier
EUROCORDEX_DOMAIN = 'EUR-11'

# EuroCordex global climate models
EUROCORDEX_GCMS = ['MOHC-HadGEM2-ES', 'ICHEC-EC-EARTH',
                   'CNRM-CERFACS-CNRM-CM5', 'NCC-NorESM1-M', 'MPI-ESM-LR',
                   'IPSL-IPSL-CM5A-MR', 'CCCma-CanESM2', 'MIROC-MIROC5']

# EuroCordex regional climate models
EUROCORDEX_RCMS = ['SMHI-RCA4', 'CLMcom-CCLM4-8-17',
                   'CLMcom-ETH-COMSO-crCLIM-v1-1-1', 'MPI-CSC-REMO2009',
                   'GERICS-REMO2015', 'KNMI-RACMO22E', 'DMI-HIRHAM5',
                   'UHOH-WRF361H', 'IPSL-WRF381P', 'CNRM-ALADIN63',
                   'ICTP-RegCM4-6', 'MOHC-HadREM3-GA7-05']

# climate data operator (cdo) resampling modes
CDO_RESAMPLING_MODES = ['bilinear', 'conservative']

# ERA5 predictor variables on pressure levels
ERA5_P_VARIABLES = ['geopotential', 'temperature', 'u_component_of_wind',
                    'v_component_of_wind', 'specific_humidity']

# ERA5 predictor variables on single levels
ERA5_S_VARIABLES = ['mean_sea_level_pressure', 'orography', '2m_temperature']

# ERA5 predictor variables
ERA5_VARIABLES = ERA5_P_VARIABLES + ERA5_S_VARIABLES

# ERA5 pressure levels
ERA5_PRESSURE_LEVELS = [1000, 975, 950, 925, 900, 875, 850, 825, 800, 775, 750,
                        700, 650, 600, 550, 500, 450, 400, 350, 300, 250, 225,
                        200, 175, 150, 125, 100, 70, 50, 30, 20, 10, 7, 5, 3,
                        2, 1]

# name of target projection
PROJECTION = 'lambert_azimuthal_equal_area'

# predictand variables: covered by observations
PREDICTANDS = ['tasmin', 'tasmax', 'pr', 'tas']
